Bug 4858 - Stuck threads
: Stuck threads
Status: RESOLVED FIXED
: Java WS Core
globus_wsrf_core
: unspecified
: PC Windows XP
: P3 normal
: 4.0.4
Assigned To:
:
:
:
: 4751
  Show dependency treegraph
 
Reported: 2006-11-13 16:19 by
Modified: 2007-02-23 15:01 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-11-13 16:19:08
Sometimes some threads get stuck in the following call:

"Thread-21"' 'prio=1' 'tid=0x08246e48' 'nid=0x5e0b' 'runnable'
'[a8ffb000..a8ff\
b868]'
'    at' 'java.util.HashMap.containsKey(HashMap.java:345)'
'    at' 'java.util.HashMap$KeySet.contains(HashMap.java:868)'
'    at'
'org.apache.axis.encoding.TypeMappingImpl.isRegistered(TypeMappingImpl.java:207)'
'    at' 'org.apache.axis.client.Call.registerTypeMapping(Call.java:2223)'
'    at' 'org.apache.axis.client.Call.registerTypeMapping(Call.java:2265)'
'    at'
'org.globus.wsrf.security.impl.secconv.SecureConversationSOAPBindingStub.createCall(SecureConversationSOAPBindingStub.java:1118)'
'    -' 'locked' '<0xab813990>' '(a'
'org.globus.wsrf.security.impl.secconv.SecureConversationSOAPBindingStub)'
'    at'
'org.globus.wsrf.security.impl.secconv.SecureConversationSOAPBindingStub.requestSecurityToken(SecureConversationSOAPBindingStub.java:1141)'
'    at'
'org.globus.wsrf.impl.security.authentication.secureconv.Authenticator.authenticate(Authenticator.java:95)'
'    at'
'org.globus.wsrf.impl.security.authentication.secureconv.SecContextHandler.handleRequest(SecContextHandler.java:259)'
'    at'
'org.apache.axis.handlers.HandlerChainImpl.handleRequest(HandlerChainImpl.java:105)'

Or:

"RunQueueThread_26" daemon prio=1 tid=0x081fbf20 nid=0x37fc runnable
[6c9e2000..6c9e3228]
        at java.util.HashMap.containsKey(HashMap.java:345)
        at java.util.HashMap$KeySet.contains(HashMap.java:868)
        at
org.apache.axis.encoding.TypeMappingImpl.isRegistered(TypeMappingImpl.java:207)
        at org.apache.axis.client.Call.registerTypeMapping(Call.java:2223)
        at org.apache.axis.client.Call.registerTypeMapping(Call.java:2265)
        at
org.oasis.wsn.NotificationConsumerSOAPBindingStub.createCall(NotificationConsumerSOAPBindingStub.java:565)
        - locked <0x753937b0> (a
org.oasis.wsn.NotificationConsumerSOAPBindingStub)
        at
org.oasis.wsn.NotificationConsumerSOAPBindingStub.notify(NotificationConsumerSOAPBindingStub.java:588)
        at
org.globus.wsrf.impl.SimpleSubscriptionTopicListener.notify(SimpleSubscriptionTopicListener.java:198)
------- Comment #1 From 2006-11-14 10:57:19 -------
Created a new patch for this problem for Axis 1.2, recompiled it and committed
it to globus_4_0_branch.
------- Comment #2 From 2006-11-14 12:05:57 -------
Committed a fix to Apache Axis repository and updated Axis version in trunk.